﻿/*-------- VARIABLES --------*/

@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');
:root {
        --color-primary: #000000;
        --color-secondary: #dc4405;
        --color-dark-background: #ff0000;
        --color-light-background: #ff0000;
        --color-body-dark: #000000;
        --color-body-light: #000000;
        --color-primary-button: #dc4405;
        --color-secondary-button: transparent;
        --color-white: #fff;
        --color-black: #000;
        --color-button-hover: #000000;
        --font-body: "Montserrat", sans-serif;
        --font-header-size: 72px;
        --font-header-size-medium: 48px;
        --font-header-size-sml: 32px;
        --font-header-span-size: 21px;
        --font-header-span-size-sml: 18px;
        --font-secondary-header-size: 48px;
        --font-secondary-header-size-medium: 36px;
        --font-secondary-header-size-sml: 18px;
        --font-body-size: 16px;
        --font-weight-normal: 500;
        --font-weight-bold: 700;
        --padding-button: 10px 15px;
}
.clear {
	clear: both;
}

/***** Start of primary nav ******/

#menu-button {
	display: none;
}

nav.mobile {
	display: none;
}

nav.primary {
	padding: 0;
	display: inline-block;
	margin: 0;
	width: 100%;
	position: relative;
}

nav.primary ul {
	display: flex;
	list-style: none;

}

nav.primary ul li{

}

nav.primary ul li a {
	margin: 0;
	text-align: center;
	-webkit-transition: .4s ease-in;
	-moz-transition: .2s ease-in;
	-o-transition: .2s ease-in;
	transition: .2s ease-in;
	white-space: nowrap;
	font-family: var(--font-body);
}

nav.primary ul li a:hover {
	z-index: 9999999999;
}

/* Appearance of the sub-level links */
nav.primary ul li li a {
	display: block;
	font-size: 18px;
	color: rgb(106, 106, 106);
	transition: 0.30s;
	font-family: var(--font-body);
	text-align: left;
}

/* Appearance of the sub-level links on hover */
nav.primary ul li li a:hover {
	color: #00000095;
}

/* This controls the Primary nav dropdowns for sublinks. Should not have to edit this too muuch */
nav.primary ul ul {
	display: none;
	position: absolute;
	top: 130px;
	left: 0;
	right: 0;
	width: 100%;
	z-index: 999999;
	background-color: #fff;
	padding: 2rem;
	border-bottom-right-radius: .5rem;
    border-bottom-left-radius: .5rem;
	box-shadow: 0px 2px 5px 0px rgba(0,0,0,0.1);
    -webkit-box-shadow: 0px 2px 5px 0px rgba(0,0,0,0.1);
    -moz-box-shadow: 0px 2px 5px 0px rgba(0,0,0,0.1);
}

nav.primary ul ul ul {
	position: absolute;
	left: 100%;
	top: 0;
}

/*
nav.primary ul li:hover>ul {
	display: block;
	line-height: 18px;
	z-index: 100;
}
*/

nav.primary ul ul li {
	float: none;
	width: auto;
	position: relative;
	margin: 0;
	display: block;
}

/******** End of primary Nav ***************/

@media screen and (max-width: 1050px) {

	/*==============================
	Mobile Nav Styles			
================================*/
	.bottom-nav {
		display: none;
	}
	.help-box{display:none;}

	#menu-button {
		display: block;
		font-size: 60px;
		z-index: 400;
		height:100%;
		width:130px;
		display:flex;
		/* needs to be lower than nav.mobile, adjust as needed */

	}
	.nav-wrap{padding:0 0 0 8px!important;}
	.menu-toggle{display:flex; justify-content: center; align-content:center; flex-wrap:wrap;
		span{justify-content: center;
    display: flex;}
	}
	#menu-button a {
		display: block;
		margin:0 auto;
		flex-direction: column;
		align-items: center;
		justify-content: space-between;
		text-decoration: none;
		font-weight: normal;
		cursor: pointer;
		padding: 5px 12px;
		background: #4c89c8;
		width:100%;
		font-weight:400;
		height:100%;
		font-size: 60px;
		color: #fff;
	}
	.blue-back{width:100%; padding:40px 40px 25px 40px; background-image:url('/siteart/mobile-back.jpg'); background-repeat:no-repeat; background-position:center center;
		img{width:127px;}
		.btns{display:block!important; font-size:17px; padding:22px; width:90%; margin:15px 0;}
		.blue{margin-top:35px;}
	}
	
		
	}
	.gray-text{font-size:15px; font-weight:600; color:rgba(0, 0, 0, 0.33); text-transform:uppercase; letter-spacing:1px; padding-bottom:15px;}
	nav.mobile {
		display: block;
		position: fixed;
		top: 0;
		right: -400px;
		width: 400px;
		height: 100%;
		background: #EDEDED;
		z-index: 500;
		overflow-y: auto;
		scrollbar-width: none;
		transition: right 0.3s ease;
		/* needs to be higher than #menu-button, adjust as needed */
	}
	
	nav.mobile.open {
    right: 0;
}

	/* MENU HEADER STYLES */

	nav.mobile .mobile_top {
		padding: 0px 5px 5px 5px;
		text-align: right;
		display: flex;
		justify-content: flex-end;
		align-items: center;
		font-size: 18px;left:0;
		width:100%; top:0; position:absolute;
	}

	/* MENU CLOSE 'X' BUTTON */

	.mobile-top-menu {
		display: flex;
		justify-content: space-between;
		align-items: center;

	}

	nav.mobile .menu-toggle {
		color: #fff!important;
		font-size: 45px!important;
		font-weight: 400 !important;
		height:40px!important;
	}


	*/ nav.mobile .menu-toggle:hover {
		/* Menu close button on hoveer */
		color: var(--color-primary-lite);
	}

	.menu-standalone{
		color: var(--color-secondary);
	}

	/* MENU LIST STYLE */
	nav.mobile ul {
		list-style: none;
		font-weight: 300;
		margin: 25px 45px;
		padding: 0;
	}

	nav.mobile ul li {
		position: relative;
	}
	.dpdown-list{box-shadow:none!important; margin:0!important;}
	/* FIRST LEVEL */
	nav.mobile ul li a {
		position: relative;
		display: block;
		font-size: 16.5px;
		padding: 16px 25px 16px 0px;
		text-decoration: none;
		text-align: left;
		font-weight: 600;
		color:#000;
		transition: .25s;
		cursor: pointer;
		font-family: 'Montserrat', sans-serif;
	}

	nav.mobile ul li a:hover {
		background-color: rgb(163 163 163/.1);
	}

	/* SECOND LEVEL */

	nav.mobile ul li li a {
		position: relative;
		display: block;
		text-decoration: none;
	}

	nav.mobile ul li li a:hover {
	
	}

	/* THIRD LEVEL */
	nav.mobile ul li li li:last-child {
		border: none;
	}

	nav.mobile ul li li li a {
		position: relative;
		display: block;
		padding: 15px 35px 15px 0px;
		color: #000;
		text-decoration: none;
	}

	nav.mobile ul li li li a:hover {
		background: rgba(85, 85, 85, 0.5);
	}

	.click {
		display: flex !important;
		justify-content: space-between !important;
		align-items: center !important;
	}


	/* FONT AWESOME ICONS */
	nav.mobile ul li a .fa {
		width: 25px;
		font-weight: 100;
		padding: 8px 3px;
		margin: 0 6px 0 0;
		text-align: center;
		background: #292929;
		-webkit-border-radius: 30px;
		-moz-border-radius: 30px;
		border-radius: 30px;
		text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.3);
	}


	nav.mobile ul li .fa-chevron-down {
		color: #FFFFFF;
	}

	.mobile:not(.open)+.menu-toggle.exit-click {
		display: none;
	}

	.mobile.open+.menu-toggle.exit-click {
		position: fixed !important;
		top: 0 !important;
		left: 0 !important;
		right: 0 !important;
		bottom: 0 !important;
		z-index: 499;
		pointer-events: none;
		background: rgba(36, 32, 33, 0.5);
		opacity: 0;
		transition: ease opacity 0.3s;
	}

	/******** End of Toggle Overlay ***************/

	/******** Menu Overlay ***************/

	.mobile.open+.menu-toggle.exit-click {
		pointer-events: auto;
		opacity: 1;
		box-shadow: 0 0 10px 2px rgba(0, 0, 0, .4);
	}

	body.menu-toggle.exit-click {
		overflow: hidden !important;
	}
}